%define upstream_name    Data-Miscellany
%define upstream_version 1.100850

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Collection of miscellaneous subroutines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::Compile)
BuildRequires: perl(Test::More)
BuildRequires: perl(UNIVERSAL::require)
BuildArch: noarch


%description
This is a collection of miscellaneous subroutines useful in wide but
varying scenarios; a catch-all module for things that don't obviously
belong anywhere else. Obviously what's useful differs from person to
person, but this particular collection should be useful in object-oriented
frameworks, such as the Class::Framework manpage and the Data::Conveyor
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.100.850-5.mga5
+ Revision: 742178
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.850-4.mga5
+ Revision: 684214
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.850-3.mga4
+ Revision: 510607
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.850-2.mga3
+ Revision: 365392
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 1.100.850-1.mga1
+ Revision: 38288
- mageia rebuild
- imported package perl-Data-Miscellany

